Package org.gradle.tooling

# Class UnsupportedVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.tooling.GradleConnectionException
org.gradle.tooling.UnsupportedVersionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnknownModelException`, `UnsupportedOperationConfigurationException`

public class UnsupportedVersionException extends GradleConnectionException
Thrown when the target Gradle version does not support a particular feature.

Since:
  1.0-milestone-3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedVersionException(String message)`
`UnsupportedVersionException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedVersionException

public UnsupportedVersionException(String message)

### UnsupportedVersionException

public UnsupportedVersionException(String message, Throwable cause)